# Generated by Django 3.2.6 on 2021-09-29 17:15

from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Billing',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[('READY', '결제 요청'), ('SEND_TMS', '결제 요청 메시지(TMS) 발송 완료'), ('OPEN_PAYMENT', '사용자 결제 화면 진입'), ('SELECT_METHOD', '결제 수단 선택 및 인증 완료'), ('ARS_WAITING', 'ARS 인증 진행 중'), ('AUTH_PASSWORD', '비밀번호 인증 완료'), ('ISSUED_SID', 'SID 발급 완료(정기 결제 시 SID만 발급 한 경우)'), ('SUCCESS_PAYMENT', '결제 완료'), ('PART_CANCEL_PAYMENT', '부분 취소'), ('CANCEL_PAYMENT', '결제된 금액 모두 취소'), ('FAIL_AUTH_PASSWORD', '사용자 비밀번호 인증 실패'), ('QUIT_PAYMENT', '사용자 결제 중단'), ('FAIL_PAYMENT', '결제 승인 실패')], default='READY', max_length=50, verbose_name='결제상태\x1b')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now, verbose_name='요청일')),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('transaction_id', models.CharField(blank=True, max_length=255, verbose_name='트랜잭션ID')),
                ('api_id', models.CharField(blank=True, max_length=255, verbose_name='API ID')),
                ('request_amount', models.DecimalField(decimal_places=2, default='0.0', max_digits=9, verbose_name='요청금액')),
                ('tax', models.DecimalField(decimal_places=2, default='0.0', max_digits=9, verbose_name='면세금액')),
                ('vat', models.DecimalField(decimal_places=2, default='0.0', max_digits=9, verbose_name='부가가치세')),
                ('item_name', models.CharField(blank=True, max_length=255, verbose_name='상품명')),
                ('billing_username', models.CharField(blank=True, max_length=255, verbose_name='구매자명')),
                ('billing_email', models.EmailField(blank=True, max_length=254, verbose_name='구매자 이메일')),
                ('billing_phone_number', models.CharField(blank=True, max_length=255, verbose_name='구매자 연락처')),
                ('customer_ip_address', models.GenericIPAddressField(blank=True, null=True, verbose_name='구매자IP')),
                ('customer_access_env', models.CharField(blank=True, max_length=255, null=True, verbose_name='구매환경\x1b')),
                ('admin_memo', models.TextField(blank=True, default='', verbose_name='관리자 메모')),
                ('message', models.TextField(blank=True, default='', verbose_name='결제 상세 내역')),
                ('pg_token', models.CharField(blank=True, default='', max_length=50, verbose_name='PG토큰')),
                ('captured_amount', models.DecimalField(decimal_places=2, default='0.0', max_digits=9, verbose_name='확정금액')),
                ('pg_name', models.CharField(choices=[('카카오페이', '카카오페이'), ('KG모빌리언스', 'KG모빌리언스'), ('-', '포인트/쿠폰 결제')], default='카카오페이', max_length=12)),
            ],
            options={
                'verbose_name': '결제',
                'verbose_name_plural': '결제',
                'db_table': 'billing',
            },
        ),
    ]
